package article

import (
	"git.echol.cn/loser/lckt/global"
)

type Article struct {
	global.GVA_MODEL
	Title       string `json:"title" gorm:"comment:文章标题"`
	Desc        string `json:"desc" gorm:"comment:文章描述"`
	Content     string `json:"content" gorm:"comment:文章内容;type:longtext"`
	CoverImg    string `json:"coverImg" gorm:"comment:文章封面图"`
	TeacherId   int    `json:"teacherId" gorm:"comment:讲师ID"`
	TeacherName string `json:"teacherName" gorm:"comment:讲师名称"`
	Price       int64  `json:"price" gorm:"comment:文章价格(单位为分)"`
	IsFree      int    `json:"isFree" gorm:"comment:是否免费;default:0"` // 是否免费 0-否 1-是
	// 分类ID
	CategoryId int `json:"categoryId" gorm:"comment:分类ID"`
}

// TableName 文章表
func (Article) TableName() string {
	return "article"
}
