package app

import "github.com/gin-gonic/gin"

type BannerRouter struct{}

// InitBannerRouter 初始化 Banner 路由
func (b *BannerRouter) InitBannerRouter(Router, PublicRouter *gin.RouterGroup) {
	sysRouter := Router.Group("banner")
	appRouter := PublicRouter.Group("banner")

	{
		sysRouter.POST("", bannerApi.Create)   // 新建Banner
		sysRouter.DELETE("", bannerApi.Delete) // 删除Banner
		sysRouter.PUT("", bannerApi.Update)    // 更新Banner
	}
	{
		appRouter.GET("/list", bannerApi.GetList)          // 获取Banner列表
		appRouter.GET("", bannerApi.GetByID)               // Banner公开接口
		appRouter.GET("/index", bannerApi.GetIndexBanners) // 获取首页Banner
	}
}
