package app

import (
	"github.com/gin-gonic/gin"
)

type UserRouter struct{}

func (s *UserRouter) InitAppUserRouter(AppAuthGroup, PublicRouter *gin.RouterGroup) {
	appUserRouter := AppAuthGroup.Group("h5_user")
	publicRouter := PublicRouter.Group("h5_user")
	{
		appUserRouter.GET("/info", userApi.GetUserInfo) // 获取用户信息
	}
	{
		publicRouter.POST("wxLogin", userApi.WechatLogin) // 微信登录
		publicRouter.POST("pwdlogin", userApi.PwdLogin)   // 密码登录
		publicRouter.POST("sms/send", userApi.SendCode)   // 发送短信验证码
		publicRouter.POST("login", userApi.Login)         // 短信验证码登录
	}
}
